Table of Contents

## Name

AuSoundCreateBucketFromFile - create a bucket and initialize its contents.

## Synopsis

#include <audio/audiolib.h>
#include <audio/soundlib.h>

AuBucketID AuSoundCreateBucketFromFile(server, filename, access, attributes, status)
AuServer *server;
char *filename;
AuUint32 access;
AuBucketAttributes **attributes; /* RETURN */
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
filename
  Specifies the name of the file.
access
  Specifies the access restrictions the bucket should have.
attributes
  If non-NUll, returns the attributes of the created bucket.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuSoundCreateBucketFromFile creates a bucket, initializing the contents with the audio data from filename, and returns the bucket ID or AuNone if there was error.

## Errors

AuBadValue, AuBadLength, AuBadAlloc.

## See Also

AuSoundCreateBucketFromData.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Errors
- See Also